> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1infrastructuresyncconsumers



## OpenAPI

````yaml https://consumer-ms.supergasbras.app/swagger/v1/swagger.json put /v1/infrastructure/sync/consumers
openapi: 3.0.1
info:
  title: CTech Consumer
  description: Service responsible for handling Consumer version 1.0
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /v1/infrastructure/sync/consumers:
    put:
      tags:
        - Infrastructure
      parameters:
        - name: api-version
          in: query
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SyncConsumersRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/SyncConsumersRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/SyncConsumersRequest'
      responses:
        '200':
          description: Success
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
            text/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
            text/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    SyncConsumersRequest:
      type: object
      properties:
        consumerId:
          type: string
          format: uuid
        useConsumerId:
          type: boolean
        offset:
          type: integer
          format: int32
        limit:
          type: integer
          format: int32
      additionalProperties: false
    Error:
      type: object
      properties:
        code:
          type: string
          nullable: true
          readOnly: true
        description:
          type: string
          nullable: true
          readOnly: true
        type:
          $ref: '#/components/schemas/ErrorType'
        numericType:
          type: integer
          format: int32
          readOnly: true
        metadata:
          type: object
          additionalProperties: {}
          nullable: true
          readOnly: true
      additionalProperties: false
    ErrorType:
      enum:
        - Failure
        - Unexpected
        - Validation
        - Conflict
        - NotFound
        - Unauthorized
        - Forbidden
      type: string
  securitySchemes:
    Bearer:
      type: http
      description: JWT Authorization header using the Bearer scheme.
      scheme: Bearer
      bearerFormat: JWT

````